var time1 = 1;
var time5 = 5;

function async1Start(param){
  log.setValue(log.getValue() + "非同期1秒 start\n");
}
function async1Before(param){
  log.setValue(log.getValue() + "非同期1秒 before\n");
}
function async1After(param){
  log.setValue(log.getValue() + "非同期1秒 after\n");
}
function async1Finish(){
  log.setValue(log.getValue() + "非同期1秒 finish\n");
}

function async5Start(param){
  log.setValue(log.getValue() + "非同期5秒 start\n");
}
function async5Before(param){
  log.setValue(log.getValue() + "非同期5秒 before\n");
}
function async5After(param){
  log.setValue(log.getValue() + "非同期5秒 after\n");
}
function async5Finish(){
  log.setValue(log.getValue() + "非同期5秒 finish\n");
}

function sync1Start(param){
  log.setValue(log.getValue() + "同期1秒 start\n");
}
function sync1Before(param){
  log.setValue(log.getValue() + "同期1秒 before\n");
}
function sync1After(param){
  log.setValue(log.getValue() + "同期1秒 after\n");
}
function sync1Finish(){
  log.setValue(log.getValue() + "同期1秒 finish\n");
}

function sync5Start(param){
  log.setValue(log.getValue() + "同期5秒 start\n");
}
function sync5Before(param){
  log.setValue(log.getValue() + "同期5秒 before\n");
}
function sync5After(param){
  log.setValue(log.getValue() + "同期5秒 after\n");
}
function sync5Finish(){
  log.setValue(log.getValue() + "同期5秒 finish\n");
}

function sync1after5Start(){
  setTimeout(function(){sync1.onclick();}, 5000);
}

function sync5after5Start(){
  setTimeout(function(){sync5.onclick();}, 5000);
}

function corn_clear_init(){
  log.setValue("");
}
